// $Id: LogDialog.cpp,v 1.8 2013/04/29 18:27:14 hupereir Exp $


/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "LogDialog.h"
#include "TextEditor.h"

//______________________________________________________
LogDialog::LogDialog( QWidget* parent ):
CustomDialog( parent, CloseButton )
{

    Debug::Throw( "LogDialog::LogDialog.\n" );
    mainLayout().addWidget( editor_ = new TextEditor( this ) );
    _editor().setReadOnly( true );

    setOptionName( "LOG_DIALOG" );

}

//______________________________________________________
LogDialog::~LogDialog( void )
{ Debug::Throw( "LogDialog::~LogDialog.\n" ); }

//______________________________________________________
void LogDialog::processMessage( QString message )
{

    // retrieve current cursor
    QTextCursor cursor( _editor().textCursor() );

    // move to the end of the text
    cursor.movePosition( QTextCursor::End );

    // insert
    cursor.insertText( message );
    _editor().setTextCursor( cursor );
    _editor().ensureCursorVisible();

}
