#ifndef _ToolTipWidget_h_
#define _ToolTipWidget_h_

// $Id: ToolTipWidget.h,v 1.5 2013/04/29 18:27:14 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "BaseToolTipWidget.h"

#include <QLabel>
#include <QPixmap>

//! customized tooltip widget
class ToolTipWidget : public BaseToolTipWidget
{

    public:

    //! constructor
    ToolTipWidget( QWidget *parent = 0 );

    //! set pixmap
    virtual void setPixmap( const QPixmap& pixmap )
    { pixmapLabel_->setPixmap( pixmap ); }

    //! set text
    virtual void setText( const QString& text )
    { textLabel_->setText( text ); }

    //! eventFilter
    bool eventFilter( QObject *, QEvent * );

    private:

    //! pixmap label
    QLabel* pixmapLabel_;

    //! text label
    QLabel* textLabel_;

};


#endif
